#!/usr/bin/perl

$ACPI_STATE=`cat /proc/acpi/battery/BAT0/state`;
$ACPI_INFO =`cat /proc/acpi/battery/BAT0/info`;
@ACPI_STATE=split("\n", $ACPI_STATE);
@ACPI_INFO =split("\n", $ACPI_INFO);

if ($ARGV[0] eq "percent")
	{ $design_capacity=$ACPI_INFO[1];
	  $design_capacity=~s/design capacity:\s+([0-9]+).*/$+/;
	  $remaining_capacity=$ACPI_STATE[4];
	  $remaining_capacity=~s/remaining capacity:\s+([0-9]+)>*/$+/;

	  $percent=($remaining_capacity/$design_capacity)*100;

	  # Round the percent
	  $percent = sprintf "%.0f", $percent;

	  if($percent >= 100) { print "100%";}
	  else 
		{ $percent=~s/([0-9]+)\.[0-9]+/$+/;
	  	  print "$percent%";
		}
	

	}
if ($ARGV[0] eq "time")
	{ print "-";
	}
if ($ARGV[0] eq "icon")
	{ if ($ACPI_STATE[2] =~ /discharging/)
		{ print "applets/laptop_battery.png";
		}
	  else
		{ print "applets/laptop_power.png"
		}
	}

